package com.bonus.canteen.core.kitchen.service;

import java.util.List;
import com.bonus.canteen.core.kitchen.domain.KitchenWasteMeal;

/**
 * 厨房餐余浪费Service接口
 * 
 * @author xsheng
 * @date 2025-06-16
 */
public interface IKitchenWasteMealService {
    /**
     * 查询厨房餐余浪费
     * 
     * @param ledgerId 厨房餐余浪费主键
     * @return 厨房餐余浪费
     */
    public KitchenWasteMeal selectKitchenWasteMealByLedgerId(Long ledgerId);

    /**
     * 查询厨房餐余浪费列表
     * 
     * @param kitchenWasteMeal 厨房餐余浪费
     * @return 厨房餐余浪费集合
     */
    public List<KitchenWasteMeal> selectKitchenWasteMealList(KitchenWasteMeal kitchenWasteMeal);

    /**
     * 新增厨房餐余浪费
     * 
     * @param kitchenWasteMeal 厨房餐余浪费
     * @return 结果
     */
    public int insertKitchenWasteMeal(KitchenWasteMeal kitchenWasteMeal);

    /**
     * 修改厨房餐余浪费
     * 
     * @param kitchenWasteMeal 厨房餐余浪费
     * @return 结果
     */
    public int updateKitchenWasteMeal(KitchenWasteMeal kitchenWasteMeal);

    /**
     * 批量删除厨房餐余浪费
     * 
     * @param ledgerIds 需要删除的厨房餐余浪费主键集合
     * @return 结果
     */
    public int deleteKitchenWasteMealByLedgerIds(Long[] ledgerIds);

    /**
     * 删除厨房餐余浪费信息
     * 
     * @param ledgerId 厨房餐余浪费主键
     * @return 结果
     */
    public int deleteKitchenWasteMealByLedgerId(Long ledgerId);

    public List<KitchenWasteMeal> selectKitchenWasteMealListCount(KitchenWasteMeal kitchenWasteMeal);
}
